package com.bytedance.ies.ugc.aweme.commercialize.search.service;

import X.2Pr;
import X.Ls2;
import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.AwemeRawAd;
import com.ss.android.ugc.aweme.profile.model.User;

public interface ISearchAdService {
    static {
        Covode.recordClassIndex(30769);
    }

    View LIZ(ViewGroup viewGroup, Context context, AwemeRawAd awemeRawAd, User user, View.OnClickListener onClickListener);

    ViewGroup LIZ(ViewGroup viewGroup, Context context, AwemeRawAd awemeRawAd);

    void LIZ();

    void LIZ(AwemeRawAd awemeRawAd);

    void LIZ(AwemeRawAd awemeRawAd, ViewGroup viewGroup, View.OnClickListener onClickListener, View.OnClickListener onClickListener2);

    void LIZ(AwemeRawAd awemeRawAd, User user, Ls2<2Pr> ls2, View.OnClickListener onClickListener);

    void LIZ(boolean z);

    void LIZIZ();

    void LIZIZ(AwemeRawAd awemeRawAd);

    void LIZJ();

    void LIZLLL();

    void LJ();
}
